/* Sobre Nos css */
.about-section {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: max-content;
    padding-bottom: 10vw;
}

.logo-image-matrix1, .logo-image-matrix2 {
    max-width: 250px;
    max-height: 250px;
    min-width: 10%;
    min-height: 10%;
}

.banner-principal {
    position: relative;
    align-self: flex-start;
    gap: 30px;
    width: 100%;
}

.logo-image-1 {
    height: 25vw;
    position: absolute;
    width: 100%;
}


.logo-image-2 {
    position: absolute;
    height: 25vw;
    width: 100%;
}

.logo-image-3 {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    position: absolute;
    height: 25vw;
    width: 100%;
    align-items: flex-end;
}

.roboto {
    font-family: var(--font);
    font-style: normal;
    font-weight: 500;
}

.logo-text {
    margin-top: auto;
    margin-bottom: auto;
}

.logo-sobre {
    font-size: 18px;
    line-height: 21px;
    color: var(--bg-white);
}

.logo-conheca {
    font-size: 60px;
    line-height: 70px;
    text-transform: uppercase;
    color: var(--bg-white);
}

.nossa-historia {
    display: flex;
    align-self: flex-start;
    width: 100%;
}

.nossa-historia-mobile {
    display: flex;
    align-self: flex-start;
    width: 100%;
    display: none;
}

.centralizar-historia {
    display: flex;
    justify-content: space-around;
    width: 100%;
}

.historia-texto-div {
    width: 35vw;
}

.historia-texto {
    font-size: 2.5em;
    color: var(--black);
}

.historia-texto-principal {
    font-family: var(--font);
    font-size: 16px;
    font-weight: 400;
    line-height: 19px;
    letter-spacing: 0em;
    text-align: left;
}

.solucoes-texto-principal {
    font-family: var(--font);
    font-size: 18px;
    font-weight: 400;
    line-height: 21px;
    color: var(--black);
    padding: 15px 20px 15px 0;
}

.historia-texto-cor {
    color: var(--blue);
}

.nossa-historia-imgs {
    display: flex;
    flex-direction: row;
    align-self: center;
    align-items: center;
}

.padding-bottom-10vw {
    padding-bottom: 10vw;
}

.nossa-historia-img1 {
    height: 20vw;
    width: 15vw;
    position: relative;
    border: 4px solid var(--bg-white);
    object-fit: cover;
    z-index: 10;
    cursor: pointer;
}

.nossa-historia-img2 {
    height: 25vw;
    width: 20vw;
    margin-left: -7vw;
    position: relative;
    border: 4px solid var(--bg-white);
    object-fit: cover;
    z-index: 10;
    cursor: pointer;
}

.nossa-historia-img3 {
    height: 30vw;
    width: 25vw;
    margin-left: -7vw;
    border: 4px solid var(--bg-white);
    object-fit: cover;
    position: relative;
    cursor: pointer;
}

.nossa-solucoes {
    display: flex;
    align-self: flex-start;
    width: 100%;
    padding-top: 0.25vw;
    margin-top: 2vw;
    background: linear-gradient(var(--white), var(--white)) 50% 50% / calc(100% - 6px) calc(100% - 6px) no-repeat, linear-gradient(0deg, var(--blue) 0%, var(--green) 100%);
}

.nossa-solucoes-mobile {
    display: flex;
    align-self: flex-start;
    width: 98.5%;
    padding-top: 1.5vw;
    display: none;
}

.centralizar-solucoes {
    display: flex;
    justify-content: space-around;
    width: 100%;
    margin-right: 0.2vw;
}

.nossa-solucoes-imgs {
    display: flex;
    flex-direction: row;
    width: 100%;
}

.nossa-solucoes-imgs-mobile {
    justify-content: flex-start;
    display: flex;
    flex-direction: row;
    padding-bottom: 5vw;
}

.nossa-solucoes-carrosel {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    gap: 1vw;
    padding: 0.5vw 1vw 0.5vw;
}

.nossa-solucoes-imgselected {
    width: 35vw;
    height: 100%;
    border: none;
    object-fit: cover;
    cursor: pointer;
}

.nossa-solucoes-dontselected {
    width: 11.3vw;
    height: 11.3vw;
    object-fit: cover;
    cursor: pointer;
}

.nossa-solucoes-texto {
    padding-left: 2vw;
    padding-top: 2vw;
    width: 100%;
}

.z-index-img1 {
    z-index: 10;
}

.nossa-historia-img1-z-index {
    z-index: 25;
}

.left-img {
    z-index: 9;
}

.left-img-z-index {
    z-index: 11;
}

.to-left {
    right: 15vw;
    z-index: 20;

}

.to-right {
    left: 15vw;
}

@media (max-width: 990px) {
    .about-section {
        padding-top: 15.5vw;
    }

    .to-right {
        left: 43vw;
    }

    .banner-principal {
        height: 30vh;
    }

    @media (max-width: 940px) {
        .about-section {
            padding-top: 14.5vw;
        }
    }
    @media (max-width: 880px) {
        .about-section {
            padding-top: 16.5vw;
        }
    }
    @media (max-width: 800px) {
        .about-section {
            padding-top: 19vw;
        }
    }
    @media (max-width: 750px) {
        .about-section {
            padding-top: 20vw;
        }
    }
    @media (max-width: 680px) {
        .about-section {
            padding-top: 22vw;
        }
    }
    @media (max-width: 600px) {
        .about-section {
            padding-top: 24vw;
        }
    }
    @media (max-width: 550px) {
        .about-section {
            padding-top: 27vw;
        }
    }
    @media (max-width: 500px) {
        .about-section {
            padding-top: 30vw;
        }
    }
    @media (max-width: 440px) {
        .about-section {
            padding-top: 34vw;
        }
    }
    @media (max-width: 400px) {
        .about-section {
            padding-top: 38vw;
        }

        .logo-conheca {
            font-size: 15px;
        }
    }
    @media (max-width: 380px) {
        .about-section {
            padding-top: 39.5vw;
        }
    }
    @media (max-width: 360px) {
        .about-section {
            padding-top: 41vw;
        }
    }
    @media (max-width: 340px) {
        .about-section {
            padding-top: 44vw;
        }
    }
    @media (max-width: 320px) {
        .about-section {
            padding-top: 6vw;
        }

        .nossa-historia-mobile {
            padding-top: 60vw;
        }
    }

    .logo-image-1 {
        width: 100%;
        height: 100%;
    }

    .logo-image-2 {
        width: 100%;
        height: 100%;
    }

    .logo-image-3 {
        width: 100%;
        height: 100%;
    }

    .logo-conheca {
        font-size: 30px;
        text-align: center;
    }

    .logo-sobre {
        display: none;
    }

    .nossa-historia {
        display: none;
    }

    .nossa-historia-mobile {
        display: flex;
    }

    .centralizar-historia {
        flex-direction: column;
        align-items: center;
        gap: 7vw;
    }

    .historia-texto-cor {
        color: var(--green);
    }

    .historia-texto {
        font-size: 35px;
        text-align: center;
        margin-bottom: 5vw;
    }

    .historia-texto-principal {
        margin-left: -20vw;
        margin-right: -20vw;
        word-break: break-word;
        text-align: center;
    }

    .nossa-historia-imgs {
        align-items: center;
        margin-left: -10vw;
        width: 100%;
    }

    .nossa-historia-img1 {
        height: 55vw;
        width: 55vw;
        margin-left: -20vw;
    }

    .nossa-historia-img2 {
        height: 60vw;
        width: 60vw;
        position: absolute;
    }

    .nossa-historia-img3 {
        height: 65vw;
        width: 65vw;
        margin-left: -29vw;
    }

    .solucoes-texto-principal {
        word-break: break-word;
        text-align: center;
        padding: 0 10vw;
    }

    .nossa-solucoes {
        display: none;
    }

    .nossa-solucoes-mobile {
        display: flex;
    }

    .nossa-solucoes-imgselected {
        width: 65vw;
        height: 70vw;
        border: none;
    }

    .nossa-solucoes-dontselected {
        width: 30vw;
        height: 22vw;
        padding-left: 0.4vw;
    }

    .centralizar-solucoes {
        flex-direction: column;
        align-items: center;
        border: none !important;
        padding-top: 8vw;
    }

    @media (max-width: 320px) {
        .banner-principal {
            padding-top: 37vw;
            width: 100%;
        }

        .logo-image-1 {
            height: 50vw;
            width: 100%;
        }

        .logo-image-2 {
            width: 100%;
            height: 50vw;
        }

        .logo-image-3 {
            width: 100%;
            height: 50vw;
        }

        .logo-image-matrix1 {
            height: 35vw;
            align-self: flex-end;
        }

        .logo-image-matrix2 {
            height: 35vw;
            align-self: flex-end;
        }
    }
}
